<?PHP
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Free Web Based Training System                          //
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Plate-forme de téléformation gratuite et en open source //
// ------------------------------------------------------------------------- //
// Copyright (C) 2001-2003  Anéma Formation  <http://www.anema.fr/>          //
// ------------------------------------------------------------------------- //
//            Developer : Georges CALDEIRA <gcaldeira@anemalab.org>          //
// ------------------------------------------------------------------------- //
//               Infos on project <http://anemalab.org/>                     //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

/**
* affichage des chapitres d'un module
*
* @author		Georges Caldeira <gcaldeira@anemalab.org>
* @package		GaneshaStagiaire
*/
	/**
	* include des fichiers + verification de la cnx
	*/
	include_once("anema.inc.php");
	
	debugf(__FILE__);
	
	if ( !isset($HTTP_GET_VARS['groupe']) || !isset($HTTP_GET_VARS['module'])){
		PageErreur();
	    exit()      ;
	}
	$groupe	= $HTTP_GET_VARS['groupe'] ;
	$module = $HTTP_GET_VARS['module'] ;
	
	
	
	if (!$ClsFormation->ModuleIsValid($module,$guserid,$groupe) ) {
		PageErreur();		
		exit ();
	}

	$param = $ext.'?connexion='.$gconnexionid.'&module='.$module.'&groupe='.$groupe ;

	InitPageHtml("Chapitre",'',false);

?>
<table width="180" border="0" cellspacing="1" cellpadding="2" bgcolor="#FFFFFF">
<tr>
   <td width="30" valign="middle" bgcolor="<?PHP echo $color1 ?>" height="30"><IMG border="0" hspace="2" src="<?PHP echo HTTP_IMAGES ?>home.gif" alt="Introduction" ></td>
   <td width="150" valign="middle" height="30"><a class="chapter" href="<?PHP echo HTTP_STAGIAIRE?>p_accueil<?PHP echo $param ?>" target="FrmPage" onMouseOver="window.status='Accueil';return true;" onMouseOut="window.status='Ganesha <?PHP echo VERSION?>';return true;"><?PHP echo $st_titre['accueil']?></a></td>
</tr>
<?PHP
$image	= '<IMG src="'.HTTP_IMAGES.'transparent.gif" width="10" height="2">' ;
put( '<tr><td colspan="2" valign="bottom" bgColor="'.$color2.'">'.$image.'</td></tr>' );

$chapitre = $ClsChapitre->read($module);

for($i=0;$i<$chapitre['cnt'];$i++) {
	
	$norme	= $chapitre[$i]['norme']	;
	$type  	= $chapitre[$i]['type']		;
	$titre 	= $chapitre[$i]['titre'] 	;
	$numero	= $chapitre[$i]['numero']	;
	$lien  	= $chapitre[$i]['lien']		;

	if ($numero == 0) {
		// recuperation du Cours ...
		if (strlen($lien)==0) {
			$lcours = "" ;
		} else {
			// Correction GC : 02/07/2003 
			// http://www.anemalab.org/phorum/read.php?f=2&i=4613&t=4613
			$lcours = HTTP_FORMATION.$lien ;
		}
		$tcours = $titre;
	} else {
		$file = RP_FORMATION.$lien ;	
		$target = '' ;
		if ( $lien != "" && file_exists ($file) ) {
			switch($norme) {
			case AICC :
				$aicc_sid = $gconnexionid."-".$groupe."-".$module."-".$numero ;
				$aicc_url = urlencode(AICC_GFILE);
				$aicc_param = "?aicc_sid=".$aicc_sid."&aicc_url=".$aicc_url."&vendorparam=anema";
				$fichier  = HTTP_FORMATION.$lien.$aicc_param ;		
				//$fichier = "http://aicc.org/pages/sample.html?".$aicc_param ;
				break;
			case SCORM :
				$scorm_param = "?connexion=".$gconnexionid."&module=".$module."&chapitre=".$numero."&groupe=".$groupe ;			
				$fichier = HTTP_COMMUN."p_scorm.php".$scorm_param ;
				break;
			case GANESHA :
			default :
				$param = "?connexion=".$gconnexionid."&module=".$module."&chapitre=".$numero."&groupe=".$groupe ;						
				$fichier = HTTP_FORMATION.$lien.$param ;
				break;
			}			
		} else {
			$fichier = HTTP_COMMUN."p_vide".$ext ;
		}
		
		$status = Status("Chapitre");
		$a		= '<A '.$target.' href="'.$fichier.'" class="chapter" target="FrmPage" '.$status.'>'.$titre.'</A>';

		switch($type) {
		case DOCUMENT :
			put( '<tr><td valign="middle" bgcolor="'.$color1.'" height="30">' );		
			if ( $ClsTracking->Moyenne($guserid,$module,$i,$groupe) == 0 ) {
				put( '<img border=0 hspace="2" src="'.HTTP_IMAGES.'dtodo.gif" alt="A faire" >' );
			} else {
				put( '<img border=0 hspace="2" src="'.HTTP_IMAGES.'ddo.gif" alt="Déja fait" >' );
			}
			put('</td>');
			put( '<td valign="middle" height="30">'.$a );
			put( '</td>' );
			put( '</tr>'  );			
			break;
		case QUIZZ :
			put( '<tr><td valign="middle" bgcolor="'.$color1.'" height="30">' );		
			if ( $ClsTracking->Moyenne($guserid,$module,$i,$groupe) == 0 ) {
				put( '<img border=0 hspace="2" src="'.HTTP_IMAGES.'qtodo.gif" alt="A faire" >' );
			} else {
				put( '<img border=0 hspace="2" src="'.HTTP_IMAGES.'qdo.gif" alt="Déja fait" >' );
			}
			put('</td>');
			put( '<td valign="middle" height="30">'.$a );
			put( '</td>' );
			put( '</tr>'  );			
			break;
		case TITRE :
			put( '<td class="title1" colspan="2" valign="middle" height="30" bgcolor="'.$color1.'">&nbsp;'.$titre.'</td></tr>'  );					
			break ;
		default :
		}
		
		$image	= '<IMG src="'.HTTP_IMAGES.'transparent.gif" width="10" height="2">' ;
		put( '<tr><td colspan="2" valign="bottom" bgcolor="'.$color2.'">'.$image.'</td></tr>' );
	}
}
?>
  <tr>
    <td width="30" valign="middle" bgColor="<?PHP echo $color1 ?>" height="30">&nbsp;</td>
<?PHP if (strlen($lcours)==0) {?>
    <td width="120" valign="middle" height="30">&nbsp;</td>
<?PHP } else {?>
    <td width="120" valign="middle" height="30"><a class="chapter" href="<?PHP echo $lcours; ?>" target="_blank" onMouseOver="window.status='Support';return true;" onMouseOut="window.status='Ganesha <?PHP echo VERSION?>';return true;">
      <?PHP echo $tcours; ?>
      <img src="<?PHP echo HTTP_IMAGES ?>support.gif" border="0"></a>
    </td>
<?PHP } ?>
  </tr>
 <tr>
   <td colspan="2" valign="bottom" bgColor="<?PHP echo $color2 ?>"><IMG src="<?PHP echo HTTP_IMAGES ?>transparent.gif" width="10" height="2"></td>
 </tr>
</table>
<?PHP 
	ClosePageHtml();
?>